import { defineConfig } from 'drizzle-kit'

const getDBURL = () => {
  let connectionString = process.env.DB_URL;
  if (!connectionString) throw new Error("Missing DB URL");

  return {connectionString}
}

export default defineConfig({
  schema: "./lib/schema.ts",
  driver: 'pg',
  dbCredentials: getDBURL(),
  verbose: true,
  strict: true,
  out: "./drizzle"
})
